検索は使用時のみ読み込みます。以下ですべてのカテゴリを閲覧できます。

メディアとアセット

アセットの一覧を取得

ワークスペースのアセットをkind(video、image、audio、cover、thumbnail、frame、video-source、branding)またはcustomer_ready_onlyで絞り込み、next_offsetでページ取得します。workspace_idが必要です。

POST /assets-api/list-workspace

契約確認日: · sha256:563d2d581da0ad29

概要

ワークスペースのアセットをkind(video、image、audio、cover、thumbnail、frame、video-source、branding)またはcustomer_ready_onlyで絞り込み、next_offsetでページ取得します。workspace_idが必要です。

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

認証と権限

受け付ける認証情報の種類
user_session, delegated_oauth, personal_access_token
委任された機能権限
agent:operate
ワークスペースの最低ロール
viewer
アクセス範囲
このユーザーがアクセスを許可されたリソース
すべてのワークスペースへの同意が必要
いいえ
状態を変更
いいえ
操作完了時
synchronous_http_response

トークンは所有者の権利内でのみ使えます。各要求で所属、リソース所有権、選択ワークスペース、付与機能を確認します。coreとfullは表示だけを変え、アクセスは付与しません。

リクエストのフィールド

必須とは、親オブジェクトと選択分岐内で必須という意味です。必須の子があっても任意の親は必須になりません。以下のルールとフィールド名は契約から転記しています。

リクエストのフィールド
フィールド/分岐型/必須制約
$object親要素内で必須—
workspace_idstring親要素内で必須
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
kindstring任意/項目
  • enum: ["video","image","audio","cover","thumbnail","frame","video-source","branding"]
customer_ready_onlyboolean任意/項目
  • default: false
limitinteger任意/項目
  • minimum: 1
  • maximum: 100
  • default: 24
offsetinteger任意/項目

スキップする行数。100000までで、それを超えると400 OFFSET_TOO_LARGEです。

  • minimum: 0
  • maximum: 9007199254740991
  • default: 0
完全なJSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "kind": {
      "type": "string",
      "enum": [
        "video",
        "image",
        "audio",
        "cover",
        "thumbnail",
        "frame",
        "video-source",
        "branding"
      ]
    },
    "customer_ready_only": {
      "default": false,
      "type": "boolean"
    },
    "limit": {
      "default": 24,
      "type": "integer",
      "minimum": 1,
      "maximum": 100
    },
    "offset": {
      "default": 0,
      "description": "Rows to skip. Served up to 100000; beyond it 400 OFFSET_TOO_LARGE.",
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    }
  },
  "required": [
    "workspace_id"
  ]
}

レスポンスと完了条件

成功時のHTTPステータス: 200. 操作完了時: synchronous_http_response.

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

必須とは、親オブジェクトと選択分岐内で必須という意味です。必須の子があっても任意の親は必須になりません。以下のルールとフィールド名は契約から転記しています。

レスポンスと完了条件
フィールド/分岐型/必須制約
$object親要素内で必須—
assetsarray親要素内で必須—
assets[]object任意/項目—
assets[].idinteger | string親要素内で必須—
assets[].idanyOf 1integer親要素内で必須
  • minimum: -9007199254740991
  • maximum: 9007199254740991
assets[].idanyOf 2string親要素内で必須—
assets[].asset_typestring親要素内で必須
  • enum: ["text","image","video","audio"]
assets[].asset_urlstring | null親要素内で必須—
assets[].asset_urlanyOf 1string親要素内で必須
  • format: "uri"
assets[].asset_urlanyOf 2null親要素内で必須—
assets[].preview_urlstring | null任意/項目

ワークスペースで認可された一時読み取りURLです。preview_expires_at後はAssetの取得・一覧で更新し、永続的なメディア識別にはasset_urlを維持します。

—
assets[].preview_urlanyOf 1string任意/項目
  • format: "uri"
assets[].preview_urlanyOf 2null任意/項目—
assets[].preview_expires_atstring | null任意/項目—
assets[].preview_expires_atanyOf 1string任意/項目
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
assets[].preview_expires_atanyOf 2null任意/項目—
assets[].titlestring | null親要素内で必須—
assets[].titleanyOf 1string親要素内で必須—
assets[].titleanyOf 2null親要素内で必須—
assets[].descriptionstring | null親要素内で必須—
assets[].descriptionanyOf 1string親要素内で必須—
assets[].descriptionanyOf 2null親要素内で必須—
assets[].tagsarray | null親要素内で必須—
assets[].tagsanyOf 1array親要素内で必須—
assets[].tags[]anyOf 1string任意/項目—
assets[].tagsanyOf 2null親要素内で必須—
assets[].created_atstring親要素内で必須
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
assets[].readinessobject親要素内で必須—
assets[].readiness.statusstring親要素内で必須
  • enum: ["ready","not_ready"]
assets[].readiness.reason_codestring親要素内で必須
  • enum: ["ready","unsupported_kind","missing_registered_media","untrusted_workspace_object","media_probe_missing_or_invalid"]
assets[].readiness.messagestring親要素内で必須
  • minLength: 1
  • maxLength: 500
totalinteger親要素内で必須
  • minimum: 0
  • maximum: 9007199254740991
next_offsetinteger | null親要素内で必須—
next_offsetanyOf 1integer親要素内で必須
  • minimum: 0
  • maximum: 9007199254740991
next_offsetanyOf 2null親要素内で必須—
完全なJSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "assets": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "anyOf": [
              {
                "type": "integer",
                "minimum": -9007199254740991,
                "maximum": 9007199254740991
              },
              {
                "type": "string"
              }
            ]
          },
          "asset_type": {
            "type": "string",
            "enum": [
              "text",
              "image",
              "video",
              "audio"
            ]
          },
          "asset_url": {
            "anyOf": [
              {
                "type": "string",
                "format": "uri"
              },
              {
                "type": "null"
              }
            ]
          },
          "preview_url": {
            "description": "Workspace-authorized temporary read URL. Refresh through Asset read/list after preview_expires_at; keep asset_url as persisted media identity.",
            "anyOf": [
              {
                "type": "string",
                "format": "uri"
              },
              {
                "type": "null"
              }
            ]
          },
          "preview_expires_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
              },
              {
                "type": "null"
              }
            ]
          },
          "title": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "description": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "tags": {
            "anyOf": [
              {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              {
                "type": "null"
              }
            ]
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
          },
          "readiness": {
            "type": "object",
            "properties": {
              "status": {
                "type": "string",
                "enum": [
                  "ready",
                  "not_ready"
                ]
              },
              "reason_code": {
                "type": "string",
                "enum": [
                  "ready",
                  "unsupported_kind",
                  "missing_registered_media",
                  "untrusted_workspace_object",
                  "media_probe_missing_or_invalid"
                ]
              },
              "message": {
                "type": "string",
                "minLength": 1,
                "maxLength": 500
              }
            },
            "required": [
              "status",
              "reason_code",
              "message"
            ]
          }
        },
        "required": [
          "id",
          "asset_type",
          "asset_url",
          "title",
          "description",
          "tags",
          "created_at",
          "readiness"
        ]
      }
    },
    "total": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "next_offset": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0,
          "maximum": 9007199254740991
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "assets",
    "total",
    "next_offset"
  ]
}

エラーと安全な再試行

HTTPステータスとレスポンス本文を確認します。400の検証エラーにはZodErrorが含まれる場合があります。ハンドラーエラーはerror、message、codeを使用します。診断用にrequest_idまたはx-request-idを保持し、認証情報は含めないでください。401/403はアクセス問題を解消してから再試行し、429はRetry-Afterに従います。書き込み結果が不確か、または5xxの場合は、まず既存の結果を取得してください。冪等性キーは対応する操作でのみ再利用します。再試行の挙動は操作ごとに異なり、厳密に一回の配信は保証しません。

トラブルシューティングガイド

例

スキーマ確認済みの架空値の例です。認可されたID、準備済みメディア、確認済みの公開日時に置き換え、書き込み前に適格性を確認してください。このページはAPIを呼びません。

サーバーのSOSOAPI_ACCESS_TOKENに操作が受け付ける認証情報を設定し、ブラウザーコードに含めないでください。エージェントはsosoapi auth loginでブラウザーログインし、CLIに更新を任せます。

request.json

{
  "workspace_id": "11111111-1111-4111-8111-111111111111"
}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/assets-api/list-workspace" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/assets-api/list-workspace", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /assets-api/list-workspace < request.json

合成レスポンス例

{
  "assets": [],
  "total": 0,
  "next_offset": null
}

MCP: sosoapi_list_assets